package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Dashboard;
import com.realnet.basic.Services.DashboardService ;












@RequestMapping(value = "/token/Dashboard")
 @CrossOrigin("*") 
@RestController
public class tokenFree_DashboardController {
	@Autowired
	private DashboardService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Dashboard")
		  public Dashboard Savedata(@RequestBody Dashboard data) {
		Dashboard save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Dashboard/{id}")
	public  Dashboard update(@RequestBody Dashboard data,@PathVariable Integer id ) {
		Dashboard update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Dashboard/getall/page")
	public Page<Dashboard> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Dashboard> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Dashboard")
	public List<Dashboard> getdetails() {
		 List<Dashboard> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Dashboard")
	public List<Dashboard> getallwioutsec() {
		 List<Dashboard> get = Service.getdetails();		
		return get;
}
@GetMapping("/Dashboard/{id}")
	public  Dashboard  getdetailsbyId(@PathVariable Integer id ) {
		Dashboard  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Dashboard/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}